Package commoble.looot.loot

# Class AddTableModifier

java.lang.Object
net.minecraftforge.common.loot.LootModifier
commoble.looot.loot.AddTableModifier

All Implemented Interfaces:
  `net.minecraftforge.common.loot.IGlobalLootModifier`

public class AddTableModifier extends net.minecraftforge.common.loot.LootModifier

## Field Summary

Fields
Modifier and Type
Field
Description
`static final com.mojang.serialization.Codec<AddTableModifier>`
`CODEC`
Only used internally for registration, should not be referred to by anything else

### Fields inherited from class net.minecraftforge.common.loot.LootModifier

`conditions`

### Fields inherited from interface net.minecraftforge.common.loot.IGlobalLootModifier

`DIRECT_CODEC, LOOT_CONDITIONS_CODEC`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AddTableModifier(net.minecraft.world.level.storage.loot.predicates.LootItemCondition[] conditionsIn, net.minecraft.resources.ResourceLocation table)`

## Method Summary

Modifier and Type
Method
Description
`com.mojang.serialization.Codec<? extends net.minecraftforge.common.loot.IGlobalLootModifier>`
`codec()`
`protected @NotNull it.unimi.dsi.fastutil.objects.ObjectArrayList<net.minecraft.world.item.ItemStack>`
`doApply(it.unimi.dsi.fastutil.objects.ObjectArrayList<net.minecraft.world.item.ItemStack> generatedLoot, net.minecraft.world.level.storage.loot.LootContext context)`
`net.minecraft.resources.ResourceLocation`
`table()`

### Methods inherited from class net.minecraftforge.common.loot.LootModifier

`apply, codecStart`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### CODEC

@Internal public static final com.mojang.serialization.Codec<AddTableModifier> CODEC
Only used internally for registration, should not be referred to by anything else

## Constructor Details

### AddTableModifier

protected AddTableModifier(net.minecraft.world.level.storage.loot.predicates.LootItemCondition[] conditionsIn, net.minecraft.resources.ResourceLocation table)

## Method Details

### table

public net.minecraft.resources.ResourceLocation table()

### doApply

@NotNull protected @NotNull it.unimi.dsi.fastutil.objects.ObjectArrayList<net.minecraft.world.item.ItemStack> doApply(it.unimi.dsi.fastutil.objects.ObjectArrayList<net.minecraft.world.item.ItemStack> generatedLoot, net.minecraft.world.level.storage.loot.LootContext context)

Specified by:
  `doApply` in class `net.minecraftforge.common.loot.LootModifier`

### codec

public com.mojang.serialization.Codec<? extends net.minecraftforge.common.loot.IGlobalLootModifier> codec()